Return
curl --request GET \
--url https://api.getredo.com/v2.2/returns/{returnId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getredo.com/v2.2/returns/{returnId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getredo.com/v2.2/returns/{returnId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"order": {
"customer": {
"name": {
"given": "<string>",
"surname": "<string>"
},
"emailAddress": "jsmith@example.com",
"phoneNumber": "<string>"
},
"discounts": {
"amount": "<string>",
"currency": "<string>"
},
"id": "64e4da943dd822979a70bd12",
"items": [
{
"fulfillmentLocationId": "123",
"id": "<string>",
"price": {
"amount": "<string>",
"currency": "<string>"
},
"product": {
"name": "<string>",
"externalId": "<string>"
},
"quantity": 1,
"variant": {
"name": "<string>",
"externalId": "<string>",
"sku": "<string>",
"weight": {
"kg": 1
}
},
"externalId": "123"
}
],
"lineItemsTotal": {
"amount": "<string>",
"currency": "<string>"
},
"name": "<string>",
"shippingCost": {
"amount": "<string>",
"currency": "<string>"
},
"taxes": {
"amount": "<string>",
"currency": "<string>"
},
"total": {
"amount": "<string>",
"currency": "<string>"
},
"externalId": "<string>"
},
"return": {
"createdAt": "2023-11-07T05:31:56Z",
"destination": {
"mailingAddress": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"postalCode": "<string>",
"state": "<string>",
"line2": ""
},
"phoneNumber": "<string>"
},
"giftCards": [
{
"amount": {
"amount": "<string>",
"currency": "<string>"
},
"code": "<string>",
"externalId": "<string>"
}
],
"id": "<string>",
"items": [
{
"id": "<string>",
"orderItem": {
"id": "<string>",
"line_item_id": "<string>"
},
"quantity": 123,
"reason": "<string>",
"customerComment": "<string>",
"exchangeItem": {
"product": {
"externalId": "<string>",
"name": "<string>"
},
"quantity": 123,
"variant": {
"externalId": "<string>",
"name": "<string>"
}
},
"grade": "<string>",
"greenReturn": true,
"outcome": "<string>",
"shipmentGroupIds": [
"<string>"
],
"externalReturnLineItemId": "<string>",
"productId": "<string>",
"reasonCode": "<string>",
"reasons": [
"<string>"
],
"reasonCodes": [
"<string>"
],
"productAdjustment": "<string>",
"multipleChoiceQuestions": [
{
"question": "<string>",
"answer": "<string>"
}
],
"assessments": [
{
"assignedUser": {
"id": "<string>",
"name": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
},
"responses": [
{
"type": "<string>",
"value": "<string>"
}
]
}
],
"refund": {
"amount": {
"amount": "<string>",
"currency": "<string>"
},
"type": "<string>"
},
"productValueNoTaxNoAdjustment": {
"amount": {
"amount": "<string>",
"currency": "<string>"
}
},
"sku": "<string>",
"upc": "<string>",
"status": "<string>",
"variantId": "<string>"
}
],
"order": {
"id": "64e4da943dd822979a70bd12",
"name": "<string>"
},
"source": {
"emailAddress": "jsmith@example.com",
"mailingAddress": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"postalCode": "<string>",
"state": "<string>",
"line2": ""
},
"name": {
"given": "<string>",
"surname": "<string>"
},
"phoneNumber": "<string>"
},
"status": "open",
"updatedAt": "2023-11-07T05:31:56Z",
"compensationMethods": [],
"completeWithNoAction": true,
"exchange": {
"items": [
{
"id": "<string>",
"quantity": 1,
"variant": {
"name": "<string>",
"externalId": "<string>",
"sku": "<string>",
"weight": {
"kg": 1
}
},
"originalPrice": {
"amount": "<string>",
"currency": "<string>"
},
"price": {
"amount": "<string>",
"currency": "<string>",
"tax": "<string>"
},
"product": {
"name": "<string>",
"externalId": "<string>"
}
}
],
"provision": "deferred",
"itemCount": 123,
"order": {
"externalId": "<string>"
},
"totalTax": {
"amount": "<string>",
"currency": "<string>"
}
},
"externalOrderIds": [
"<string>"
],
"internalCreatedByName": "<string>",
"notes": [
{
"message": "<string>",
"image": "<string>"
}
],
"shipment": {
"carrier": "<string>",
"tracker": "<string>",
"trackingUrl": "<string>",
"postageLabel": "<string>",
"formLabel": "<string>",
"shipmentGroupId": "<string>",
"itemIds": [
"<string>"
],
"externalLocationId": "<string>",
"estimatedDeliveryDate": "<string>",
"deliveredAt": "<string>"
},
"shipments": [
{
"carrier": "<string>",
"tracker": "<string>",
"trackingUrl": "<string>",
"postageLabel": "<string>",
"formLabel": "<string>",
"shipmentGroupId": "<string>",
"itemIds": [
"<string>"
],
"externalLocationId": "<string>",
"estimatedDeliveryDate": "<string>",
"deliveredAt": "<string>"
}
],
"dropoffs": [
{
"shipmentGroupId": "<string>",
"provider": "<string>",
"qrCode": "<string>",
"qrCodeUrl": "<string>"
}
],
"shopifyOrderIds": [
"<string>"
],
"tags": [
{
"name": "<string>",
"source": "<string>"
}
],
"totals": {
"charge": {
"amount": {
"amount": "<string>",
"currency": "<string>"
}
},
"exchange": {
"amount": {
"amount": "<string>",
"currency": "<string>"
}
},
"refund": {
"amount": {
"amount": "<string>",
"currency": "<string>"
}
},
"storeCredit": {
"amount": {
"amount": "<string>",
"currency": "<string>"
}
}
},
"type": "return"
}
}{
"detail": "<string>",
"instance": "<string>",
"title": "<string>",
"type": "about:blank"
}Returns
Return
Get return.
GET
/
returns
/
{returnId}
Return
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Return ID
Example:
"64e4d5e837572a4813b73e40"
Was this page helpful?
⌘I